Package gov.nasa.gsfc.sscweb.schema

# Class Conjunction

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Conjunction

public class Conjunction extends Object
SSC query result. Description of conjuction. <p>Java class for Conjunction complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="Conjunction"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="TimeInterval" type="{http://sscweb.gsfc.nasa.gov/schema}TimeInterval"/> <element name="SatelliteDescription" type="{http://sscweb.gsfc.nasa.gov/schema}SatelliteConjunction" maxOccurs="unbounded"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<SatelliteConjunction>`
  `satelliteDescription`
  Description of satellite at time of conjuction.
  `protected TimeInterval`
  `timeInterval`
  Time interval of query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Conjunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SatelliteConjunction>`
  `getSatelliteDescription()`
  Description of satellite at time of conjuction.
  `TimeInterval`
  `getTimeInterval()`
  Time interval of query.
  `void`
  `setTimeInterval(TimeInterval value)`
  Sets the value of the timeInterval property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### timeInterval

    protected TimeInterval timeInterval
    Time interval of query.

  - ### satelliteDescription

    protected List<SatelliteConjunction> satelliteDescription
    Description of satellite at time of conjuction.

- ## Constructor Details

  - ### Conjunction

    public Conjunction()

- ## Method Details

  - ### getTimeInterval

    public TimeInterval getTimeInterval()
    Time interval of query.
    Returns:
      possible object is `TimeInterval`

  - ### setTimeInterval

    public void setTimeInterval(TimeInterval value)
    Sets the value of the timeInterval property.
    Parameters:
      `value` - allowed object is `TimeInterval`
    See Also:
      - `getTimeInterval()`

  - ### getSatelliteDescription

    public List<SatelliteConjunction> getSatelliteDescription()
    Description of satellite at time of conjuction. Gets the value of the satelliteDescription property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the satelliteDescription property.

    For example, to add a new item, do as follows:

         getSatelliteDescription().add(newItem);

    Objects of the following type(s) are allowed in the list `SatelliteConjunction`

    Returns:
      The value of the satelliteDescription property.